ReferenceCloud managementList the caller's OAuth clients

List the caller's OAuth clients

1 min readEdit this page
GET
/v1/namespaces/{nsid}/oauth/clients

Never returns the client_secret_hash.

Requires the clients:read scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/namespaces/string/oauth/clients"
{}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}

How is this guide?